Subject: Re: Powermatic 6 inch Joiner Owners

From: damian drewek <[email-masked]>
Date: Mon, 10 Feb 1997 12:26:23 -0600

Brian wrote:
> 
> I would be interrested in hearing from someone who ownes one of these
> machines and what made you buy it over other brands.I can buy a model
> 54  for about $600. It appears to be a solid machine but I would
> consider other machines if there are better ones at this price level.
> E- mail me.
> 
> Brian

I have the one in question, but look at the JET.  Same thing, better
switch, has dust collector port and 2 year warranty (When I bought mine
it was not the same).

Price is less too.
BTW - Mine does a very nice job, well untill I knocked the knives!:)